### R code from vignette source 'cimage.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: cimage.Rnw:18-19
###################################################
  if(!file.exists("fig")) dir.create("fig")  


###################################################
### code chunk number 2: foo
###################################################
options(keep.source = TRUE, width = 100)
foo <- packageDescription("Rcell")


###################################################
### code chunk number 3: cimage.Rnw:38-39 (eval = FALSE)
###################################################
## vignette('Rcell')


###################################################
### code chunk number 4: cimage.Rnw:44-46 (eval = FALSE)
###################################################
## library(EBImage)
## example(display)


###################################################
### code chunk number 5: cimage.Rnw:53-55 (eval = FALSE)
###################################################
## library(Rcell) 
## data(ACL394filtered)


###################################################
### code chunk number 6: cimage.Rnw:58-62
###################################################
library(Rcell)
is.EBImage<-require(EBImage,quietly=TRUE)
data(ACL394data)
X$images$path<-factor(system.file('img', package='Rcell'))


###################################################
### code chunk number 7: img1 (eval = FALSE)
###################################################
## cimage(X,subset=pos==29&t.frame==11,channel="BF")


###################################################
### code chunk number 8: cimage.Rnw:73-77
###################################################
if(is.EBImage) 
  writeImage(
cimage(X,subset=pos==29&t.frame==11,channel="BF")
  , 'fig/cimage-img1.jpg', quality=80)


###################################################
### code chunk number 9: img2 (eval = FALSE)
###################################################
## cimage(X,channel~t.frame,subset=pos==29&cellID==5,channel=c("BF","YFP"))


###################################################
### code chunk number 10: cimage.Rnw:95-99
###################################################
if(is.EBImage) 
  writeImage(
cimage(X,channel~t.frame,subset=pos==29&cellID==5,channel=c("BF","YFP"))
  , 'fig/cimage-img2.jpg', quality=80)


###################################################
### code chunk number 11: img3 (eval = FALSE)
###################################################
## cimage(X,cell+channel~t.frame,subset=pos==29,channel=c("BF","YFP"),N=4)


###################################################
### code chunk number 12: cimage.Rnw:116-120
###################################################
if(is.EBImage)
  writeImage(
cimage(X,cell+channel~t.frame,subset=pos==29,channel=c("BF","YFP"),N=4)
  , 'fig/cimage-img3.jpg', quality=80)


###################################################
### code chunk number 13: img4 (eval = FALSE)
###################################################
## cimage(X,cell~channel+t.frame,subset=pos==29,N=4
##     ,channel.subset=channel=="YFP"|(channel=="BF.out"&t.frame==11))


###################################################
### code chunk number 14: cimage.Rnw:140-144
###################################################
if(is.EBImage)
  writeImage(
cimage(X,cell~channel+t.frame,subset=pos==29,N=4
    ,channel.subset=channel=="YFP"|(channel=="BF.out"&t.frame==11))
  , 'fig/cimage-img4.jpg', quality=80)


###################################################
### code chunk number 15: img5 (eval = FALSE)
###################################################
## cimage(X,cell~channel,facets=~pos,subset=t.frame==11&pos%in%c(1,8,15,22,29)
##               ,channel=c("YFP","BF"),N=3,facets.nx=5)


###################################################
### code chunk number 16: cimage.Rnw:167-171
###################################################
if(is.EBImage)
  writeImage(
cimage(X,cell~channel,facets=~pos,subset=t.frame==11&pos%in%c(1,8,15,22,29)
              ,channel=c("YFP","BF"),N=3,facets.nx=5)
  , 'fig/cimage-img5.jpg', quality=80)


###################################################
### code chunk number 17: cut
###################################################
X<-transform(X,cut.fft.stat=cut(fft.stat,20))
X<-transform(X,cut.f.tot.y=cut(f.tot.y,20))


###################################################
### code chunk number 18: img6 (eval = FALSE)
###################################################
## cimage(X,cut.f.tot.y~cut.fft.stat,facets=~channel,subset=t.frame==11 & pos %in% c(1,8,15,22,29)
##               ,channel=c("YFP","BF.out"),N=1)


###################################################
### code chunk number 19: cimage.Rnw:198-202
###################################################
if(is.EBImage) 
  writeImage(
cimage(X,cut.f.tot.y~cut.fft.stat,facets=~channel,subset=t.frame==11 & pos %in% c(1,8,15,22,29)
              ,channel=c("YFP","BF.out"),N=1)
  , 'fig/cimage-img6.jpg', quality=80)


###################################################
### code chunk number 20: fig07
###################################################
cplot(X,f.tot.y~fft.stat,subset=t.frame==11 & pos %in% c(1,8,15,22,29)) 


###################################################
### code chunk number 21: cimage.Rnw:223-224
###################################################
cplot(X,f.tot.y~fft.stat,subset=t.frame==11 & pos %in% c(1,8,15,22,29)) 


